<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class FreeLClasssified extends Model
{
    use HasFactory;

    protected $table = 'free_l_classsified';
    protected $primaryKey = 'FLC_Id';
    protected $fillable = ['FLP_Id', 'FL_Id', 'STDate', 'EdDate', 'Status', 'Flp_Title'];

    public function freeLPackMast()
    {
        return $this->belongsTo(FreeLPackMast::class, 'FLP_Id', 'FLP_Id');
    }

    public function freelancerRegister()
    {
        return $this->belongsTo(FreelancerRegister::class, 'FL_Id', 'FL_Id');
    }
}
